# msprintf

converts, formats, and writes data in a string

# sprintf

## Calling Sequence

    str=msprintf(format,a1,...,an);

## Arguments

format

  a Scilab string describing the format to use to write the remaining operands.

str

  a character string.

a1,...,an

  Specifies the data to be converted and printed according to the format parameter.

## Description

The `msprintf` writes formatted operands in its returned value (a Scilab string). The argument operands are formatted under control of the format operand.

Note that, in this case, the escape sequences (`"\n"`) (in format) split string to a matrix of string (see example).

## Examples

    msprintf('%5.3f %5.3f',123,0.732)
    msprintf('%5.3f\n%5.3f',123,0.732)
    msprintf('--%s-\n-%d--',"hello",3)
    msprintf('%e ', [1;2;3])
    msprintf('%d %d\n', [1, 2; 3, 4])

## See Also

- mprintf
- printf_conversion